/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/

/**
 * ------------------------------------------------------------------------------------------------
 * Основное
 * ------------------------------------------------------------------------------------------------
 */
/* base */
label,
.label {
	display: block;
	font-size: 14px;
	color: var(--wd-text-color);
	margin-bottom: 5px;
}

/* заголовок страницы */
.wd-page-content .wd-page-title .container {
	flex-direction: column-reverse;
	gap: 24px;
}

.wd-page-content .wd-page-title .container .title {
	margin: auto;
	text-align: center;
}

/*
.wd-page-content .wd-page-title.title-size-small {
	padding-top: 26px;
}

@media (min-width: 1025px) {
    .wd-page-content .wd-page-title.title-size-small {
		padding-top: 26px;
	}
}
*/

/* окно об успешной отправке */
@media (max-width: 550px) {
    .pum-container {
        max-width: 550px !important;
        width: 100% !important;
    }
}

.pum-container .pum-title {
    margin-bottom: 1em;
}

.wpcf7 form.sent .wpcf7-response-output {
    display: none;
}

/**
 * ------------------------------------------------------------------------------------------------
 * Хелперы
 * ------------------------------------------------------------------------------------------------
 */
/* утилиты */
.height-full {
	height: 100%;
}

.text-white {
	color: #fff;
}

.text-balance {
    text-wrap: balance;
}

.cursor-pointer {
    cursor: pointer;
}

/* градиенты через custom css */
.gradient-dark-bottom::before {
	content: "";
    position: absolute;
    inset: 0;
    z-index: 1;
	background-image: linear-gradient(to bottom, transparent 35%, rgba(0, 0, 0, 0.3) 80%, rgba(0, 0, 0, 0.45) 100%);
	pointer-events: none;
}

/* для секции с изображением которое выходит за рамки контейнера */
.e-con-inner-relative .e-con-inner {
	position: relative;
}

/* добавляет небольшой отступ сверху для иконки инфобокса */
@media (max-width: 1024px) {
    .info-box-icon-fix .wd-info-box.text-left.box-icon-align-left .box-icon-wrapper.box-with-icon {
        margin-top: 2px;
    }
}

/**
 * ------------------------------------------------------------------------------------------------
 * Каталог
 * ------------------------------------------------------------------------------------------------
 */
/* полная высота для карточек категорий, товаров */
/*.post-type-archive-product .products.elements-grid .wd-cat-wrap,
.wd-products .product-wrapper {
	height: 100%;
}*/

/* категории и товары в одну колонку на 400px */
/*
@media (max-width: 440px) {
    .post-type-archive-product .products.elements-grid,
	.tax-product_cat .products.elements-grid {
		--wd-col-sm: 1 !important;
	}
}*/

/**
 * ------------------------------------------------------------------------------------------------
 * Корзина
 * ------------------------------------------------------------------------------------------------
 */
/* не переносить цену на новую строку */
.woocommerce-cart .woocommerce-cart-form .woocommerce-Price-amount {
	white-space: nowrap;
}

/* селектор для скрытия подытога */
.woocommerce-cart .cart-order-hide-subtotal :is(.cart-subtotal, .woocommerce-shipping-totals) {
	display: none;
}

/**
 * ------------------------------------------------------------------------------------------------
 * Оформление заказа
 * ------------------------------------------------------------------------------------------------
 */
/* не переносить цену на новую строку */
.woocommerce-checkout .woocommerce-checkout-review-order-table .woocommerce-Price-amount {
	white-space: nowrap;
}

/* селектор для скрытия подытога */
.woocommerce-checkout .checkout-order-hide-subtotal .woocommerce-checkout-review-order-table .cart-subtotal {
	display: none;
}

/**
 * ------------------------------------------------------------------------------------------------
 * Подвал
 * ------------------------------------------------------------------------------------------------
 */


/**
 * ------------------------------------------------------------------------------------------------
 * Contact form 7
 * ------------------------------------------------------------------------------------------------
 */
.wpcf7 .wpcf7-heading {
	font-size: 22px;
    line-height: 1.3em;
	font-weight: var(--wd-title-font-weight);
	color: var(--wd-title-color);
}

@media screen and (min-width: 768px) {
	.wpcf7 .wpcf7-heading {
		font-size: 24px;
	}
}

@media screen and (min-width: 1024px) {
	.wpcf7 .wpcf7-heading {
		font-size: 27px;
	}
}

.wpcf7-heading-border {
    font-size: 17px;
    border-bottom: 1px solid var(--color-gray-200);
    margin-bottom: 22px;
    font-weight: 500;
    color: var(--wd-title-color);
}

.wpcf7 .wpcf7-acceptance {
	display: block;
}

.wpcf7 .wpcf7-acceptance label {
	margin-bottom: 0;
}

.wpcf7 .wpcf7-acceptance .wpcf7-list-item {
	margin-inline-end: 0;
}

.wpcf7-acceptance .wpcf7-list-item input {
	margin-inline-end: 14px;
	margin-bottom: 2px;
	transform: scale(1.35);
}

.wpcf7-acceptance .wpcf7-list-item-label {
	line-height: 2;
	font-size: 14px;
}

.wpcf7-acceptance .wpcf7-list-item-label a {
	font-size: 14px;
	text-decoration: underline;
}

.wpcf7-acceptance .wpcf7-list-item-label a:hover {
	text-decoration: none;
}

.wpcf7 .wpcf7-form-control-wrap + label {
	margin-top: 3px;
}

.wpcf7 .wpcf7-not-valid-tip {
	font-size: 14px;
    margin-top: 4px;
}

.wpcf7 .wpcf7-important-mark {
	font-size: 14px; 
	margin-bottom: 12px;
}

.wpcf7 .wpcf7-response-output {
	display: none;
	font-size: 14px;
}

.wpcf7 .privacy-text {
	font-size: 13px;
    color: var(--color-gray-600);
}

.wpcf7 .wpcf7-submit.width-full {
	width: 100%;
}
    
.wpcf7 .wpcf7-file {
	font-size: 14px;
}

.wpcf7 .wpcf7-file::file-selector-button {
	background-color: transparent;
	border-radius: 5px;
	border: 2px solid var(--wd-primary-color);
	padding: 5px 12px;
	cursor: pointer;
	transition: color 0.25s ease-in-out, background 0.25s ease-in-out;
}

.wpcf7 .wpcf7-file::file-selector-button:hover {
	background-color: var(--wd-primary-color);
	color: #fff;
}

.wpcf7 .file-title {
	font-size: 16px;
	cursor: pointer;
}

.wpcf7 .file-text {
	color: var(--color-gray-400);
	font-size: 14px;
}

.wpcf7 .wpcf7-form.submitting .wpcf7-submit,
.wpcf7 .wpcf7-form.submitting .wpcf7-submit:hover {
	color: transparent;
	pointer-events: none;
}

.wpcf7 p:has(.wpcf7-submit) {
	position: relative;
	margin-bottom: 0;
}

div.wpcf7 .wpcf7-spinner {
	position: absolute !important;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

div.wpcf7 .wpcf7-spinner::before {
	position: static !important;
	border-left-color: #ffffff !important;
}

div.wpcf7 p:has(input[type="hidden"]) {
	margin-bottom: 0;
}

div.wpcf7 input[type=number] {
	padding: 0 15px;
	text-align: start;
}

/*.wd .wpcf7 textarea {
    min-height: 130px;
}*/